org.apache.xmlbeans

## Interface XmlNMTOKEN

All Superinterfaces:
  XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource

All Known Subinterfaces:
  AllNNI.Member, Attribute.Use, BlockSet.Member2.Item, DerivationControl, FormChoice, ReducedDerivationControl, SimpleDerivationSet.Member2.Item, TypeDerivationControl, WhiteSpaceDocument.WhiteSpace.Value, Wildcard.ProcessContents

All Known Implementing Classes:
  AllImpl.MaxOccursImpl, AllNNIImpl, AllNNIImpl.MemberImpl, AttributeImpl.UseImpl, BlockSetImpl.MemberImpl2.ItemImpl, DerivationControlImpl, FormChoiceImpl, NarrowMaxMinImpl.MaxOccursImpl, ReducedDerivationControlImpl, SimpleDerivationSetImpl.MemberImpl2.ItemImpl, TypeDerivationControlImpl, WhiteSpaceDocumentImpl.WhiteSpaceImpl.ValueImpl, WildcardImpl.ProcessContentsImpl, XmlNmTokenImpl

    public interface XmlNMTOKEN
    extends XmlToken

Corresponds to the XML Schema xs:NMTOKEN type. One of the derived types based on xs:string.

An NMTOKEN is XML's closest concept to an "identifier"; for example, it does not permit spaces and only limited punctuation. So NMTOKEN is commonly used to describe a single token or enumerated string value.

Convertible to `String`.

### Field Summary

Fields
`static XmlObjectFactory<XmlNMTOKEN>` `Factory`
`static SchemaType` `type` The constant `SchemaType` object representing this schema type.

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final XmlObjectFactory<XmlNMTOKEN> Factory

#### type

    static final SchemaType type

The constant `SchemaType` object representing this schema type.